package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.PayPalPayment;
import de.hsel.itech.db.pojo.User;
import lombok.Getter;
import lombok.Setter;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import java.io.Serializable;

/**
 * @author Johannes Theiner
 * @version 0.1
 */

@ManagedBean
@RequestScoped
public class PayPalBean implements Serializable {

    public User getUser() {
        FacesContext context = FacesContext.getCurrentInstance();
        return (User) context.getApplication().evaluateExpressionGet(context,"#{userBean.user}", User.class);
    }

    @Getter
    @Setter
    private String mail;

    @Getter
    @Setter
    private String auth;


    public String add() {
        PayPalPayment payment = new PayPalPayment(getUser(), mail, auth);
        Database.getInstance().payment().insert(payment);

        return "payments.jsf";
    }
}
